import CodeEditorModal from './src/index.vue';

export type CodeEditorModalInstance = {
  open: (code: string) => void;
  close: () => void;
  getCode: () => string;
};

CodeEditorModal.install = (app: any) => {
  app.component(CodeEditorModal.name, CodeEditorModal);
  return app;
};

export default CodeEditorModal;
export {
  CodeEditorModal,
}